"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
class DatasetList extends command_1.SfdxCommand {
    async run() {
        // this.org is guaranteed because requiresUsername=true, as opposed to supportsUsername
        const conn = this.org.getConnection();
        const url = `${conn.baseUrl()}/wave/datasets`;
        const results = await conn.request({
            method: 'GET',
            url
        });
        this.ux.table(results.datasets, ['name', 'id', 'createdBy.name', 'datasetType', 'currentVersionId']);
        return results.datasets;
    }
}
DatasetList.description = 'what analytics datasets are in my org?';
DatasetList.examples = [
    'sfdx shane:analytics:dataset:list'
];
DatasetList.flagsConfig = {};
DatasetList.requiresUsername = true;
exports.default = DatasetList;
//# sourceMappingURL=list.js.map