"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const fs = require("fs-extra");
const community_1 = require("./../../../shared/community");
class CommunityDescribe extends command_1.SfdxCommand {
    async run() {
        const conn = await this.org.getConnection();
        const output = await community_1.getExternalApps(conn);
        if (this.flags.store) {
            await fs.writeJSON('externalApps.json', output, { spaces: 2 });
            this.ux.log('wrote networks to externalApps.json.');
        }
        else if (!this.flags.json) {
            this.ux.logJson(output);
        }
        return output;
    }
}
CommunityDescribe.description = 'tell me about the communities in the org, and optionally store the description';
CommunityDescribe.examples = [
    'sfdx shane:communities:describe'
];
CommunityDescribe.flagsConfig = {
    store: command_1.flags.boolean({ description: 'store the community description in externalApps.json' })
};
CommunityDescribe.requiresUsername = true;
exports.default = CommunityDescribe;
//# sourceMappingURL=describe.js.map