"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const community_1 = require("./../../../shared/community");
class CommunityUrl extends command_1.SfdxCommand {
    async run() {
        const conn = this.org.getConnection();
        const extApps = await community_1.getExternalApps(conn);
        let output;
        if (this.flags.prefix) {
            if (extApps.communities[this.flags.prefix]) {
                output = `https://${extApps.domain}/${this.flags.prefix}`;
            }
            else {
                throw new Error(`There is no community with prefix ${this.flags.prefix}`);
            }
        }
        else {
            output = `https://${extApps.domain}`;
        }
        this.ux.log(output);
        return (output);
    }
}
CommunityUrl.description = 'get me the login for a community from an org';
CommunityUrl.examples = [
    'sfdx shane:communities:url --prefix dealers'
];
CommunityUrl.flagsConfig = {
    prefix: command_1.flags.string({ char: 'p', required: false, description: 'community prefix (thing after the slash in the url)' })
};
CommunityUrl.requiresUsername = true;
exports.default = CommunityUrl;
//# sourceMappingURL=url.js.map