"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
class MetadataDescribe extends command_1.SfdxCommand {
    async run() {
        const conn = await this.org.getConnection();
        const metadata = await conn.metadata.describe(this.flags.apiversion || await this.org.retrieveMaxApiVersion());
        this.ux.logJson(metadata);
        return metadata;
    }
}
MetadataDescribe.description = 'what\'s in the org?';
MetadataDescribe.examples = [
    `sfdx shane:mdapi:describe -u someOrg
// list the metadata available in the org
`
];
MetadataDescribe.requiresUsername = true;
MetadataDescribe.flagsConfig = {};
MetadataDescribe.requiresProject = false;
exports.default = MetadataDescribe;
//# sourceMappingURL=describe.js.map