"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
class MetadataDescribe extends command_1.SfdxCommand {
    async run() {
        const conn = await this.org.getConnection();
        const apiVersion = this.flags.apiversion || await this.org.retrieveMaxApiVersion();
        const metadata = await conn.metadata.list([{ type: this.flags.type, folder: null }], apiVersion);
        this.ux.logJson(metadata);
        return metadata;
    }
}
MetadataDescribe.description = 'what\'s in the org?';
MetadataDescribe.examples = [
    `sfdx shane:mdapi:list -u someOrg -t CustomObject
// what metadata exists for a specific type
`
];
MetadataDescribe.requiresUsername = true;
MetadataDescribe.flagsConfig = {
    type: command_1.flags.string({ required: true, char: 't', description: 'pull only a specific type.  See the metadata api docs for type names' })
};
MetadataDescribe.requiresProject = false;
exports.default = MetadataDescribe;
//# sourceMappingURL=list.js.map