"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const ucc = require("../../../../shared/unzipConvertClean");
const tmpDir = 'mdapiout';
class Get extends command_1.SfdxCommand {
    // tslint:disable-next-line:no-any
    async run() {
        const retrieveCommand = `sfdx force:mdapi:retrieve -s -p "${this.flags.packagename}" -u ${this.org.getUsername()}  -r ./${tmpDir} -w 30`;
        await ucc.retrieveUnzipConvertClean(tmpDir, retrieveCommand, this.flags.target);
    }
}
Get.description = 'gets package from an org, converts, and merges it into the local source';
Get.examples = [
    `sfdx shane:mdapi:package:get -p MyPkg -u someOrg
// pulls a package from the org and converts/merges it into force-app
`,
    `sfdx shane:mdapi:package:get -p MyPkg -u someOrg -t someDir
// pulls a package from the org and converts/merges it into /someDir
`
];
Get.requiresUsername = true;
Get.flagsConfig = {
    packagename: command_1.flags.string({ required: true, char: 'p', description: 'the name of the package you want to retrieve' }),
    target: command_1.flags.directory({ char: 't', default: 'force-app', description: 'where to convert the result to...defaults to force-app' })
};
Get.requiresProject = true;
exports.default = Get;
//# sourceMappingURL=get.js.map