"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const ucc = require("../../../../shared/unzipConvertClean");
const tmpDir = 'mdapiout';
class XML extends command_1.SfdxCommand {
    // tslint:disable-next-line:no-any
    async run() {
        const retrieveCommand = `sfdx force:mdapi:retrieve -s -k "${this.flags.xmlpath}" -u ${this.org.getUsername()}  -r ./${tmpDir} -w 30`;
        await ucc.retrieveUnzipConvertClean(tmpDir, retrieveCommand, this.flags.target);
    }
}
XML.description = 'DEPRECATED.  Use force:source:retrieve these days!  gets metadata form an org based on a local package.xml, converts, and merges it into the local source';
XML.examples = [
    `sfdx shane:mdapi:package:xml -p someFolder/package.xml -u someOrg
// pulls a metadat from the org and converts/merges it into force-app
`,
    `sfdx shane:mdapi:package:xml -p someFolder/package.xml -u someOrg -t someDir
// pulls a package from the org and converts/merges it into /someDir
`
];
XML.requiresUsername = true;
XML.flagsConfig = {
    xmlpath: command_1.flags.filepath({ required: true, char: 'p', description: 'the location of the package.xml you want to use' }),
    target: command_1.flags.directory({ char: 't', default: 'force-app', description: 'where to convert the result to...defaults to force-app' })
};
XML.requiresProject = true;
exports.default = XML;
//# sourceMappingURL=xml.js.map