"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const child_process = require("child_process");
const stripcolor = require("strip-color");
const util = require("util");
const exec = util.promisify(child_process.exec);
class ComponentLibrary extends command_1.SfdxCommand {
    async run() {
        // required flags
        const command = `sfdx force:org:open --path /componentReference/suite.app --json -u ${this.org.getUsername()}`;
        const response = await exec(command);
        this.ux.logJson(JSON.parse(stripcolor(response.stdout)));
        return response;
    }
}
ComponentLibrary.description = 'opens the lightning component library for the specified org';
ComponentLibrary.examples = [
    `sfdx shane:org:componentlibrary
// opens /componentReference/suite.app on the default scratch org
`,
    `sfdx shane:org:componentlibrary -u someOrgAlias
// opens library for specified org
`
];
ComponentLibrary.flagsConfig = {};
ComponentLibrary.requiresUsername = true;
exports.default = ComponentLibrary;
//# sourceMappingURL=componentlibrary.js.map