"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const chalk_1 = require("chalk");
const child_process = require("child_process");
const stripcolor = require("strip-color");
const util = require("util");
const exec = util.promisify(child_process.exec);
class Delete extends command_1.SfdxCommand {
    async run() {
        const result = await exec(`sfdx force:org:delete -p -u ${this.org.getUsername()} --json`);
        if (JSON.parse(stripcolor(result.stdout)).status === 0) {
            this.ux.log(chalk_1.default.green('org successfully marked for deletion'));
        }
        else {
            this.ux.error(result.stderr);
        }
        return result;
    }
}
Delete.description = 'delete the default scratch org.  Won\'t prompt you for confirmation';
Delete.aliases = ['shane:org:destroy'];
Delete.examples = [
    `sfdx shane:org:delete
// deletes the current default scratch org
`
];
Delete.requiresUsername = true;
exports.default = Delete;
//# sourceMappingURL=delete.js.map