"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
class DomainVerify extends command_1.SfdxCommand {
    async run() {
        const authInfo = this.org.getConnection().getAuthInfoFields();
        this.ux.logJson(authInfo);
        if (authInfo.instanceUrl.match(/(.my.salesforce.com)/g)) {
            this.ux.log('Domain is good');
        }
        else {
            throw new Error(`Invalid instanceUrl: ${authInfo.instanceUrl}`);
        }
    }
}
DomainVerify.description = 'Verifies that a domain was successfully setup with MyDomain';
DomainVerify.examples = [
    'sfdx shane:org:domain:verify'
];
DomainVerify.flagsConfig = {};
DomainVerify.requiresUsername = true;
exports.default = DomainVerify;
//# sourceMappingURL=verify.js.map