"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const child_process = require("child_process");
const stripcolor = require("strip-color");
const util = require("util");
const exec = util.promisify(child_process.exec);
class MetadataCoverage extends command_1.SfdxCommand {
    async run() {
        // required flags
        const command = `sfdx force:org:open --path /mdcoverage/report.jsp --json -u ${this.org.getUsername()}`;
        const response = await exec(command);
        this.ux.logJson(JSON.parse(stripcolor(response.stdout)));
        return response;
    }
}
MetadataCoverage.description = 'opens the metadata coverage report page';
MetadataCoverage.examples = [
    `sfdx shane:org:metadatacoverage
// opens /mdcoverage/report.jsp on the default scratch org
`,
    `sfdx shane:org:metadatacoverage -u someOrgAlias
// opens mdcoverage for specified org
`
];
MetadataCoverage.flagsConfig = {};
MetadataCoverage.requiresUsername = true;
exports.default = MetadataCoverage;
//# sourceMappingURL=metadatacoverage.js.map