"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@salesforce/command");
const chalk_1 = require("chalk");
class RefreshToken extends command_1.SfdxCommand {
    async run() {
        const auth = await this.org.readUserAuthFiles();
        const fields = auth[0].getFields();
        if (fields.refreshToken) {
            this.ux.log(`Your refresh token for ${chalk_1.default.blue(fields.username)} is ${chalk_1.default.green(fields.refreshToken)}`);
            this.ux.log(chalk_1.default.red('PLEASE BE CAREFUL WITH THIS AND TREAT THIS AS YOU WOULD A PASSWORD, INCLUDING CLEARING YOUR TERMINAL HISTORY'));
            return fields.refreshToken;
        }
        else {
            throw new Error('Refresh token not available');
        }
    }
}
RefreshToken.description = 'Outputs a refresh token from an org that you\'ve already auth\'d sfdx to.  PLEASE BE CAREFUL WITH THIS AND TREAT IT AS A PASSWORD';
RefreshToken.examples = [
    `sfdx shane:org:refreshtoken -u someAliasOrUsername
// prints the refresh token for some org that you've already connected to
`
];
RefreshToken.flagsConfig = {};
RefreshToken.requiresUsername = true;
exports.default = RefreshToken;
//# sourceMappingURL=refreshtoken.js.map