"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
async function getExternalApps(conn) {
    // get the domain
    const domains = await conn.query('select CnameTarget, Domain from Domain');
    const mainDomain = domains.records.find((domain) => domain.CnameTarget === null); // tslint:disable-line:no-any
    const output = {
        domain: mainDomain.Domain,
        communities: {}
    };
    // get the networks
    const networks = await conn.query('select id, Name, status, UrlPathPrefix from Network where UrlPathPrefix != null');
    networks.records.forEach((network) => {
        output.communities[network.UrlPathPrefix] = network.Name;
    });
    return output;
}
exports.getExternalApps = getExternalApps;
//# sourceMappingURL=community.js.map