"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs-extra");
const util = require("util");
const xml2js = require("xml2js");
// const options = require('../../../../shared/js2xmlStandardOptions');
async function getExisting(targetFilename, subType, defaults) {
    // get or create permset
    if (fs.existsSync(targetFilename)) {
        const parser = new xml2js.Parser({ explicitArray: false });
        const parseString = util.promisify(parser.parseString);
        const existing = await parseString(fs.readFileSync(targetFilename));
        return existing[subType];
    }
    else if (defaults) {
        return defaults;
    }
    else {
        throw new Error(`Not found: ${targetFilename}`);
    }
}
exports.getExisting = getExisting;
async function fixExistingDollarSign(existing) {
    if (existing['$']) {
        const temp = existing['$'];
        delete existing['$'];
        existing['@'] = temp;
    }
    return existing;
}
exports.fixExistingDollarSign = fixExistingDollarSign;
//# sourceMappingURL=getExisting.js.map